## erlang 18.0-dfsg

=== debian/changelog ===
erlang (1:18.0-dfsg-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jul 2015 13:52:33 +0100

erlang (1:18.0-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches, removed patch which disables SSLv3 protocol in
    the ssl application because this protocol has been disabled upstream.
  * Changed the license in debian/copyright because upstream relicensed
    Erlang/OTP from Erlang public license to Apache 2.0 license.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 27 Jun 2015 14:29:01 +0300

erlang (1:17.5-dfsg-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jul 2015 17:42:33 +0100

erlang (1:17.5-dfsg-2) unstable; urgency=medium

  * Upload into unstable.
  * Removed the patch which fixes TLS POODLE vulnerability in the Erlang
    SSL application (CVE-2015-2774) because it has been applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 May 2015 08:18:40 +0300

erlang (1:17.5-dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Put erl_interface.app and erl_interface.appup into the erlang-dev package.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 01 Apr 2015 12:04:55 +0300

erlang (1:17.4-dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Removed a patch which fixed empty SNI extension processing in the
    ssl application because it has been applied upstream.
  * Removed a patch which removes rpath from the crypto application binary
    and use the new --with-ssl-rpath=no configure option instead.
  * Search for an Erlang module manual page in section 3erl only in
    Emacs Erlang mode (closes: #772876).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Dec 2014 09:07:42 +0300

erlang (1:17.3-dfsg-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Dec 2014 13:24:09 +0000

erlang (1:17.1-dfsg-4ubuntu2) utopic; urgency=medium

  * Enable IPv6 support in epmd (LP: #1312507), supporting use in IPv6
    only environments.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Aug 2014 14:51:44 +0100

erlang (1:17.1-dfsg-4ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.

 -- James Page <james.page@ubuntu.com>  Fri, 25 Jul 2014 16:03:47 +0100
